lightMutex.h File Reference
`#include "osl/oslConfig.h"`
`#include <thread>`

Go to the source code of this file.

## Classes

class | osl::misc::LightScopedLock< Mutex >
class | osl::misc::LightMutex
class | osl::misc::LightMutex::unlockable_lock
| requirement: thread local More...
class | osl::misc::LightMutexChar
class | osl::LightMutex

## Namespaces

namespace | osl
namespace | osl::misc

## Macros

#define | SCOPED_LOCK(lock, m)
#define | SCOPED_LOCK_CHAR(lock, m)

## Macro Definition Documentation

## SCOPED_LOCK

#define SCOPED_LOCK | ( |  | lock,
|  |  | m )

Value:
osl::misc::LightMutex::scoped_lock lock(m);
osl::LightMutex::scoped_lock
LightScopedLock< LightMutex > scoped_lock
Definition lightMutex.h:57

Definition at line 176 of file lightMutex.h.

Referenced by osl::checkmate::DfpnTable::addDag(), osl::checkmate::DfpnTable::List::addDag(), osl::checkmate::DfpnTable::clear(), osl::checkmate::DfpnTable::estimateNodeCount(), osl::checkmate::DfpnTable::List::estimateNodeCount(), osl::checkmate::DualDfpn::findProof(), osl::checkmate::DfpnTable::findProofOracle(), osl::checkmate::DfpnTable::List::findProofOracle(), osl::checkmate::DfpnTable::leaveWorking(), osl::checkmate::DfpnTable::List::leaveWorking(), osl::checkmate::DfpnTable::List::probe(), osl::checkmate::DfpnTable::probe(), osl::checkmate::DfpnShared::restartThreads(), osl::checkmate::DfpnTable::List::setWorking(), osl::checkmate::DfpnTable::setWorking(), osl::checkmate::DfpnTable::List::showProofOracles(), osl::checkmate::DfpnTable::showProofOracles(), osl::checkmate::DfpnTable::List::smallTreeGC(), osl::checkmate::DfpnTable::smallTreeGC(), osl::checkmate::DfpnTable::List::store(), osl::checkmate::DfpnTable::store(), osl::checkmate::DfpnTable::List::testTable(), and osl::checkmate::DfpnTable::testTable().

## SCOPED_LOCK_CHAR

#define SCOPED_LOCK_CHAR | ( |  | lock,
|  |  | m )

Value:
osl::misc::LightMutexChar::scoped_lock lock(m);
osl::misc::LightMutexChar::scoped_lock
LightScopedLock< LightMutexChar > scoped_lock
Definition lightMutex.h:127

Definition at line 178 of file lightMutex.h.